Bug 447458 - BUG: soft lockup - CPU#0 stuck for 11s! [swapper:0]
BUG: soft lockup - CPU#0 stuck for 11s! [swapper:0]
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 19:37 EDT by Kyle Pablo
Modified: 2008-05-27 18:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 18:52:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Pablo 2008-05-19 19:37:55 EDT
Description of problem:
Dmesg bootup reports BUG: soft lockup - CPU#0 stuck for 11s! [swapper:0]


Version-Release number of selected component (if applicable):
2.6.24.7-92.fc8


How reproducible:
Everytime

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Should not report message on bootup

Expected results:


Additional info:
BUG: soft lockup - CPU#0 stuck for 11s! [swapper:0]
CPU 0:
Modules linked in: autofs4 fuse ipv6 ipt_LOG nf_conntrack_ipv4 xt_state
nf_conntrack xt_tcpudp ipt_REJECT iptable_filter ip_tables x_tables
cpufreq_ondemand loop dm_multipath snd_atiixp_modem snd_seq_dummy snd_atiixp
snd_ac97_codec ac97_bus snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device
snd_pcm_oss irda parport_pc arc4 snd_mixer_oss ecb parport crc_ccitt snd_pcm
blkcipher pcspkr k8temp ath5k snd_timer mac80211 snd hwmon i2c_piix4 tifm_7xx1
tg3 cfg80211 serio_raw tifm_core soundcore snd_page_alloc i2c_core fglrx(P)(U)
battery video output ac button sr_mod joydev cdrom sg firewire_sbp2
firewire_ohci firewire_core crc_itu_t dm_snapshot dm_zero dm_mirror dm_mod
pata_atiixp ata_generic pata_acpi libata sd_mod scsi_mod ext3 jbd mbcache
uhci_hcd ohci_hcd ehci_hcd
Pid: 0, comm: swapper Tainted: P        2.6.24.7-92.fc8 #1
RIP: 0010:[<ffffffff811723a1>]  [<ffffffff811723a1>] acpi_safe_halt+0x28/0x39
RSP: 0018:ffffffff81431f30  EFLAGS: 00000246
RAX: 0000000000000000 RBX: ffff81007e81eb40 RCX: 0000000000000010
RDX: 0000000000000001 RSI: 0000000000000086 RDI: ffffffff8150edb4
RBP: ffff81007e81e80c R08: 0000000007b813ca R09: 0000000100000013
R10: ffff81007e81e80c R11: ffff81007e81e80c R12: 0000000000000000
R13: 00000000ffffffff R14: 0000000000000000 R15: ffffffff81431ea8
FS:  0000000041211950(0000) GS:ffffffff813cf000(0000) knlGS:00000000f7fdd6c0
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 00002aaacf94b000 CR3: 000000005f135000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400

Call Trace:
 [<ffffffff81172419>] acpi_idle_enter_c1+0x67/0x70
 [<ffffffff811e0b0f>] cpuidle_idle_call+0x74/0xa9
 [<ffffffff811e0a9b>] cpuidle_idle_call+0x0/0xa9
 [<ffffffff8100b12a>] cpu_idle+0x91/0xbc
 [<ffffffff8143bb06>] start_kernel+0x2d9/0x2e5
 [<ffffffff8143b11d>] _sinittext+0x11d/0x124
Comment 1 Kyle Pablo 2008-05-22 22:24:29 EDT
I keep getting the dump in my log. Here is a new one:

BUG: soft lockup - CPU#0 stuck for 11s! [swapper:0]
CPU 0:
Modules linked in: autofs4 fuse ipv6 ipt_LOG nf_conntrack_ipv4 xt_state
nf_conntrack xt_tcpudp ipt_REJECT iptable_filter ip_tables x_tables
cpufreq_ondemand loop dm_multipath snd_atiixp_modem snd_seq_dummy snd_atiixp
snd_ac97_codec ac97_bus snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device
snd_pcm_oss snd_mixer_oss snd_pcm irda arc4 snd_timer parport_pc crc_ccitt ecb
parport snd blkcipher soundcore pcspkr tifm_7xx1 ath5k snd_page_alloc k8temp
mac80211 tifm_core serio_raw hwmon cfg80211 i2c_piix4 i2c_core tg3 fglrx(P)(U)
video output battery ac button joydev sg sr_mod cdrom firewire_sbp2
firewire_ohci firewire_core crc_itu_t dm_snapshot dm_zero dm_mirror dm_mod
pata_atiixp ata_generic pata_acpi libata sd_mod scsi_mod ext3 jbd mbcache
uhci_hcd ohci_hcd ehci_hcd
Pid: 0, comm: swapper Tainted: P        2.6.24.5-85.fc8 #1
RIP: 0010:[<ffffffff8126967b>]  [<ffffffff8126967b>] _spin_unlock_irqrestore+0x8/0x9
RSP: 0018:ffffffff8142de90  EFLAGS: 00000292
RAX: 0000000000000000 RBX: 00000000ffffffff RCX: 0000000000000020
RDX: 000094827f36a3f6 RSI: 0000000000000292 RDI: ffffffff8139a038
RBP: ffff810001004520 R08: ffff810001004520 R09: 0000000000000000
R10: 0000000000000000 R11: ffffffff8101cecf R12: ffffffff8104bb62
R13: ffffffff8142de28 R14: 000000000f3e1570 R15: ffffffff8142de18
FS:  0000000045349950(0000) GS:ffffffff813cb000(0000) knlGS:00000000f7fdd6c0
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000001639000 CR3: 000000005dc8e000 CR4: 00000000000006a0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400

Call Trace:
 [<ffffffff8104fa8b>] tick_notify+0x1e1/0x331
 [<ffffffff8126b56d>] notifier_call_chain+0x29/0x4c
 [<ffffffff8104f629>] clockevents_notify+0x24/0x50
 [<ffffffff8117085e>] acpi_idle_enter_simple+0x17b/0x1cd
 [<ffffffff811dea9f>] cpuidle_idle_call+0x74/0xa9
 [<ffffffff811dea2b>] cpuidle_idle_call+0x0/0xa9
 [<ffffffff8100b12a>] cpu_idle+0x91/0xbc
 [<ffffffff81437b06>] start_kernel+0x2d9/0x2e5
 [<ffffffff8143711d>] _sinittext+0x11d/0x124

scsi: unknown opcode 0x85
Comment 2 Chuck Ebbert 2008-05-23 01:51:13 EDT
Can you reproduce without fglrx loaded?
Comment 3 Kyle Pablo 2008-05-23 22:17:16 EDT
I looked up the bug on livna's bugzilla ans found
this--->http://bugzilla.livna.org/show_bug.cgi?id=1966

So it appears it is an fglrx issue.  Can't be fixed. 

Note You need to log in before you can comment on or make changes to this bug.